<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN gc_Line_Item_Contract_History
 */


class gc_Line_Item_Contract_History_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'gc_Line_Item_Contract_History';
    public $object_name = 'gc_Line_Item_Contract_History';
    public $table_name = 'gc_line_item_contract_history';
    public $importable = true;
    public $team_id;
    public $team_set_id;
    public $team_count;
    public $team_name;
    public $team_link;
    public $team_count_link;
    public $teams;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $tag;
    public $tag_link;
    public $contracts_id;
    public $line_item_id;
    public $tech_account_id;
    public $bill_account_id;
    public $payment_type;
    public $service_start_date;
    public $service_end_date;
    public $billing_start_date;
    public $billing_end_date;
    public $factory_reference_no;
    public $product_specification;
    public $customer_billing_method;
    public $igc_settlement_method;
    public $cust_contract_currency;
    public $cust_billing_currency;
    public $igc_contract_currency;
    public $igc_billing_currency;
    public $gc_timezone_id_c;
    public $service_start_date_timezone;
    public $gc_timezone_id1_c;
    public $service_end_date_timezone;
    public $gc_timezone_id2_c;
    public $billing_start_date_timezone;
    public $gc_timezone_id3_c;
    public $billing_end_date_timezone;
    public $contract_line_item_type;
    public $line_item_id_uuid;
    public $product_specification_uuid;
    public $service_start_date_uuid;
    public $service_end_date_uuid;
    public $billing_start_date_uuid;
    public $billing_end_date_uuid;
    public $gc_timezone_id_c_uuid;
    public $gc_timezone_id1_c_uuid;
    public $gc_timezone_id2_c_uuid;
    public $gc_timezone_id3_c_uuid;
    public $cust_contract_currency_uuid;
    public $cust_billing_currency_uuid;
    public $igc_contract_currency_uuid;
    public $igc_billing_currency_uuid;
    public $customer_billing_method_uuid;
    public $igc_settlement_method_uuid;
    public $description_uuid;
    public $factory_reference_no_uuid;
    public $bi_action;
    public $gc_organization_id_c;
    public $billing_affiliate;
    
    /**
     * @deprecated Use __construct() instead
     */
    public function gc_Line_Item_Contract_History_sugar()
    {
        self::__construct();
    }

    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}